gr::radar::estimator_ofdm Class Reference

This block evaluates the peaks given from a OFDM matrix. Input are the bins of the peaks with the identifiers 'axis_x' and 'axis_y'. The parameters of the block axis_x and axis_y are vectors which define the mapping of the axis. If two values are given it is assumed a linear progression in between. If four values are given the middle values are set on half of the axis and it is interpolated linear in between. len_x and len_y gives the length of the axis in number of bins. symbol_x and symbol_y defines the identifier (symbols) for the output data. merge_consecutive toggles merging consecutive peaks. Each peak is compared with peaks in a range of one bin. If there is a peak with a higher power the actual bin is not used for evaluations. If merge_consecutive is true data with identifier 'power' is needed. More...

`#include <estimator_ofdm.h>`

Inheritance diagram for gr::radar::estimator_ofdm:

## Public Types

typedef std::shared_ptr< estimator_ofdm > | sptr

## Static Public Member Functions

static sptr | make (std::string symbol_x, int len_x, std::vector< float > axis_x, std::string symbol_y, int len_y, std::vector< float > axis_y, bool merge_consecutive=true)
| Return a shared_ptr to a new instance of radar::estimator_ofdm.

## Detailed Description

This block evaluates the peaks given from a OFDM matrix. Input are the bins of the peaks with the identifiers 'axis_x' and 'axis_y'. The parameters of the block axis_x and axis_y are vectors which define the mapping of the axis. If two values are given it is assumed a linear progression in between. If four values are given the middle values are set on half of the axis and it is interpolated linear in between. len_x and len_y gives the length of the axis in number of bins. symbol_x and symbol_y defines the identifier (symbols) for the output data. merge_consecutive toggles merging consecutive peaks. Each peak is compared with peaks in a range of one bin. If there is a peak with a higher power the actual bin is not used for evaluations. If merge_consecutive is true data with identifier 'power' is needed.

Parameters

  symbol_x | Identifier (symbol) for information on x axis
  len_x | Length of x axis in bins
  axis_x | Axis x
  symbol_y | Identifier (symbol) for information on y axis
  len_y | Length of y axis in bins
  axis_y | Axis y
  merge_consecutive | Merge consecutive peaks

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<estimator_ofdm> gr::radar::estimator_ofdm::sptr

## Member Function Documentation

## make()

sptr gr::radar::estimator_ofdm::make | ( | std::string | symbol_x,
|  | int | len_x,
|  | std::vector< float > | axis_x,
|  | std::string | symbol_y,
|  | int | len_y,
|  | std::vector< float > | axis_y,
|  | bool | merge_consecutive = true )

static

Return a shared_ptr to a new instance of radar::estimator_ofdm.

To avoid accidental use of raw pointers, radar::estimator_ofdm's constructor is in a private implementation class. radar::estimator_ofdm::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- estimator_ofdm.h